Get a template family

Returns a template family and its channel-specific member templates. Use this endpoint to get a template family through the Samva email API.

GET
/v1/templates/families/{id}

Returns a template family and its channel-specific member templates.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^tfam_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

TemplateFamily

application/json
  1. response
id*TemplateFamilyId
Match^tfam_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
members*array<>
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.templates.getFamily({  "id": "example"});
Example Response
{  "id": "string",  "name": "string",  "members": [    {      "id": "string",      "name": "string",      "slug": "string",      "channel": "sms",      "status": "draft",      "isActive": true,      "createdAt": "string",      "updatedAt": "string"    }  ],  "createdAt": "string",  "updatedAt": "string"}

Related documentation